Subject: Re: Fw:[Bug 70471] xfrm policy node will double unlink.

From: Steffen Klassert <[email-masked]>
Date: Wed, 19 Feb 2014 12:43:26 +0100

On Wed, Feb 19, 2014 at 10:07:14AM +0800, Xianpeng Zhao wrote:
> Hi Steffen,
> 
>       This problem is happened when running stress test; Very little chance can get this case.
> 
>       As you say, add a long time sleep in function xfrm_policy_bysel_ctx between __xfrm_policy_unlink and 
> xfrm_policy_kill, will reproduce this issue manually. 
> 
>       About my patch, I am not sure it is OK, because after it patched, the issue had reproduced once, but after some days test recently, have not reproduced again. 
> 
>       But I can make sure when __xfrm_policy_unlink find the node had been removed, return NULL instead of delete again will fix this problem.
> 
>       What's your suggestions?
> 

Please test the patch I've sent with the last mail.
Thanks!